module Reviewable
  extend ActiveSupport::Concern

  included do
    has_many :reviews, as: :reviewable, dependent: :destroy
  end

  def review_ratings_average
    array_average(reviews.map { |review| review.rating_average })
  end

end
