#!/bin/bash

export SECRET_TOKEN=$(rake secret)
export SECRET_KEY_BASE=$(rake secret)

### Postgres/Active Record credentials
export PORTALMEC_DB_NAME=portalmec
export PORTALMEC_DB_USERNAME=
export PORTALMEC_DB_PASSWORD=

### OrientDB credentials
export PORTALMEC_ORIENTDB_HOST=localhost
export PORTALMEC_ORIENTDB_DATABASE=portalmec
export PORTALMEC_ORIENTDB_USERNAME=
export PORTALMEC_ORIENTDB_PASSWD=
export PORTALMEC_ORIENTDB_PORT=2480

### Dspace credentials
export PORTALMEC_DSPACE_LOGIN=
export PORTALMEC_DSPACE_PASSWORD=
export PORTALMEC_DSPACE_PORT=
export PORTALMEC_DSPACE_HOST=

### Cache
export MEMCACHE_SERVERS=localhost

## SMTP
export ACTION_MAILER_HOST=
export SMTP_ADDRESS=
export SMTP_PORT=

### Rails environment
export RAILS_SERVE_STATIC_FILES=FALSE
export RAILS_ENV=production
