class CreateScoreUserCategories < ActiveRecord::Migration
  def change
    create_table :score_user_categories do |t|
      t.references :score, index: true
      t.references :user_category, index: true
      t.float :value

      t.timestamps null: false
    end
    add_foreign_key :score_user_categories, :scores
    add_foreign_key :score_user_categories, :user_categories
  end
end
