module Reportable
  extend ActiveSupport::Concern

  included do
    before_action :set_complaint_messages, only: :show
  end

  def report_object
    LearningObject.report current_user, @learning_object, message, description
  end

  def set_complaint_messages
    @complaint = Complaint.new
    @reasons = ComplaintReason.all
  end

end
