class CreateComplaints < ActiveRecord::Migration
  def change
    create_table :complaints do |t|
      t.text :description
      t.references :user
      t.references :complaintable, polymorphic: true, index: true
      t.references :complaint_reason

      t.timestamps null: false
    end
  end
end
